libpostproc54_3.4.3-1_i386.deb


Advertisement

Description

libpostproc54 - FFmpeg library for post processing - runtime files

Property Value
Distribution Debian Sid
Repository Debian Main i386
Package name libpostproc54
Package version 3.4.3
Package release 1
Package architecture i386
Package type deb
Installed size 209 B
Download size 84.32 KB
Official Mirror ftp.br.debian.org
Description -

Alternatives

Package Version Architecture Repository
libpostproc54_3.4.3-1_amd64.deb 3.4.3 amd64 Debian Main
libpostproc54 - - -

Requires

Name Value
libavutil55 >= 7:3.4.3
libc6 >= 2.4

Download

Type URL
Binary Package libpostproc54_3.4.3-1_i386.deb
Source Package ffmpeg

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libpostproc54 deb package:
    # sudo apt-get install libpostproc54

Files

Path
/usr/lib/i386-linux-gnu/libpostproc.so.54
/usr/lib/i386-linux-gnu/libpostproc.so.54.7.100
/usr/share/doc/libpostproc54/changelog.Debian.gz
/usr/share/doc/libpostproc54/changelog.gz
/usr/share/doc/libpostproc54/copyright
/usr/share/lintian/overrides/libpostproc54

Changelog

2018-07-10 - Sebastian Ramacher <sramacher@debian.org>
ffmpeg (7:3.4.3-1) unstable; urgency=medium
* Team upload.
* New upstream release.
- avfilter/vf_signature: use av_strlcpy(). (CVE-2018-9841)
- avformat/img2dec: fix infinite loop. (CVE-2018-7751)
- avcodec/utvideodec: Check subsample factors. (CVE-2018-7557)
- avformat/movenc: Check that frame_types other than
EAC3_FRAME_TYPE_INDEPENDENT have a supported substream id.
(CVE-2018-13302)
- avformat/movenc: Do not pass AVCodecParameters in avpriv_request_sample.
(CVE-2018-13300)
- avcodec/mpeg4videoenc: Use 64 bit for times in
mpeg4_encode_gop_header(). (CVE-2018-12458)
- avcodec/utvideodec: Set pro flag based on fourcc. (CVE-2018-10001)
* debian/control: Bump Standards-Version.
2018-04-09 - James Cowgill <jcowgill@debian.org>
ffmpeg (7:3.4.2-2) unstable; urgency=medium
[ James Cowgill ]
* Fix FTBFS caused by nodejs setting O_NONBLOCK on the build log pipe.
(Closes: #895154)
* Set maintainer to debian-multimedia@lists.d.o.
[ Sebastian Ramacher ]
* Drop libav-tools. (Closes: #873182)
[ Ondřej Nový ]
* d/control: Set Vcs-* to salsa.debian.org.
2018-02-12 - James Cowgill <jcowgill@debian.org>
ffmpeg (7:3.4.2-1) unstable; urgency=medium
* New upstream release.
- Fixes CVE-2018-6392, CVE-2018-6621.
2017-12-11 - James Cowgill <jcowgill@debian.org>
ffmpeg (7:3.4.1-1) unstable; urgency=medium
* New upstream release.
- Fixes CVE-2017-16840, CVE-2017-17081.
* debian/control:
- Bump standards version to 4.1.2.
* debian/patches:
- Drop patches applied upstream.
2017-11-25 - James Cowgill <jcowgill@debian.org>
ffmpeg (7:3.4-4) unstable; urgency=medium
* debian/control:
- Require 3.4 avcodec/avfilter when 3.4 avutil is in use. (Closes: #882598)
* debian/patches:
- Add patch to fix random FTBFS on i386 caused by float precision issues.
(Closes: #882075)
2017-11-18 - James Cowgill <jcowgill@debian.org>
ffmpeg (7:3.4-3) unstable; urgency=medium
* debian/patches:
- Add patch to fix dash muxer autopkgtest errors on big-endian.
2017-11-09 - James Cowgill <jcowgill@debian.org>
ffmpeg (7:3.4-2) unstable; urgency=medium
* Upload to unstable.
* debian/control:
- Set Rules-Requires-Root: no
* debian/libavutil55.lintian-overrides:
- Add shlib-with-non-pic-code override on i386.
* debian/patches:
- Add patch to fix checkasm test on armhf. (Closes: #879800)
- Add patch to workaround incorrect use of drain packets in compat decode
api. (Closes: #879673)
2017-10-21 - James Cowgill <jcowgill@debian.org>
ffmpeg (7:3.4-1) experimental; urgency=medium
* New upstream release.
* debian/control:
- Bump standards version to 4.1.1.
- Remove "Priority: extra" which is deprecated in policy 4.0.1.
* debian/copyright:
- Update debian/copyright using decopy.
* debian/patches:
- Drop patches applied upstream.
* debian/rules:
- Update build options and enabled libraries.
* debian/tests:
- Fix examples package test by using new build target.
- Update autopkgtest encdec lists.
2017-09-26 - James Cowgill <jcowgill@debian.org>
ffmpeg (7:3.3.4-2) unstable; urgency=medium
* debian/patches/0004-Add-support-for-LibOpenJPEG-v2.2-git.patch:
- Add upstream patch to fix FTBFS with OpenJPEG 2.2. (Closes: #876805)
2017-09-12 - James Cowgill <jcowgill@debian.org>
ffmpeg (7:3.3.4-1) unstable; urgency=medium
* New upstream bugfix release.
- Fixes CVE-2017-14054, CVE-2017-14055, CVE-2017-14056,
CVE-2017-14057, CVE-2017-14058, CVE-2017-14059, CVE-2017-14169,
CVE-2017-14170, CVE-2017-14171, CVE-2017-14222, CVE-2017-14223,
CVE-2017-14225.
- Fixes crashes on ARM due to misalignment. (Closes: #872503)
* debian/patches:
- Drop 0004-swscale-fix-gbrap16-alpha-channel-issues.patch,
applied upstream.

See Also

Package Description
libpostproc55_4.0.3-1_i386.deb FFmpeg library for post processing - runtime files
libpostscript-file-perl_2.23+dfsg-1_all.deb module for creating Adobe PostScript files
libpostscript-perl_0.06-3_all.deb Perl module to generate PostScript code
libpostscript-simple-perl_0.09-1_all.deb Perl library for generating postscript files
libpostscriptbarcode_20140312-2_all.deb Barcode Writer in Pure PostScript
libpotemkin-clojure_0.4.3-2_all.deb collection of facades and workarounds for Clojure
libpotrace-dev_1.15-1_i386.deb development files for potrace library
libpotrace0_1.15-1_i386.deb library for tracing bitmaps
libpowercap-dev_0.1.1-1_i386.deb Development files for libpowercap
libpowercap0_0.1.1-1_i386.deb Shared library for accessing the powercap Linux kernel feature
libpowerdevilcore2_5.14.3-1_i386.deb Global power saver settings ui library
libpowerdevilui5_5.14.3-1_i386.deb Global power saver settings ui library
libpowerman0-dev_2.3.5-1+b2_i386.deb Development files for Powerman - Centralized PDU management
libpowerman0_2.3.5-1+b2_i386.deb Client library for Powerman - Centralized PDU management
libpowermock-java_1.6.6-1_all.deb PowerMock testing framework for Java
Advertisement
Advertisement